Package htsjdk.samtools.cram.structure.block

# Enum Class BlockCompressionMethod

java.lang.Object
java.lang.Enum<BlockCompressionMethod>
htsjdk.samtools.cram.structure.block.BlockCompressionMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockCompressionMethod>`, `Constable`

public enum BlockCompressionMethod extends Enum<BlockCompressionMethod>
The block compression methods specified by Section 8 of the CRAM spec.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADAPTIVE_ARITHMETIC`
`BZIP2`
`FQZCOMP`
`GZIP`
`LZMA`
`NAME_TOKENISER`
`RANS`
`RANSNx16`
`RAW`

## Method Summary

Modifier and Type
Method
Description
`static BlockCompressionMethod`
`byId(int id)`
Return the BlockCompressionMethod specified by the ID
`int`
`getMethodId()`
`static BlockCompressionMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockCompressionMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RAW

public static final BlockCompressionMethod RAW

### GZIP

public static final BlockCompressionMethod GZIP

### BZIP2

public static final BlockCompressionMethod BZIP2

### LZMA

public static final BlockCompressionMethod LZMA

### RANS

public static final BlockCompressionMethod RANS

### RANSNx16

public static final BlockCompressionMethod RANSNx16

### ADAPTIVE_ARITHMETIC

public static final BlockCompressionMethod ADAPTIVE_ARITHMETIC

### FQZCOMP

public static final BlockCompressionMethod FQZCOMP

### NAME_TOKENISER

public static final BlockCompressionMethod NAME_TOKENISER

## Method Details

### values

public static BlockCompressionMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BlockCompressionMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMethodId

public int getMethodId()

Returns:
  the number assigned to each block compression method in the CRAM spec

### byId

public static BlockCompressionMethod byId(int id)
Return the BlockCompressionMethod specified by the ID

Parameters:
  `id` - the number assigned to each block compression method in the CRAM spec
Returns:
  the BlockCompressionMethod associated with the ID